Subject: RE: [Bridge] [PATCH] macvlan: add tap device backend

From: "Paul Congdon \(UC Davis\)" <[email-masked]>
Date: Fri, 7 Aug 2009 12:47:38 -0700

> 
> I do have to raise the point that Linux is perfectly capable of keeping
> up without
> the need of an external switch.  Whether you want policy external or
> internal is
> a architecture decision that should not be driven by mis-information
> about performance.

No argument here.  I agree that you can do a lot in Linux.  It is, as you
say, an architecture decision, that can be enabled with this addition mode
of operation.  Without the mode of forcing things external, however, you
would always need to put this function internal or play games with VLANs
overlapping to get traffic to forward the way you want it.

Paul